<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'liteerp',

    /*
     * Package.
     */
    'package'   => 'patient',

    /*
     * Modules.
     */
    'modules'   => ['patient'],

    
    'patient'       => [
        'model' => [
            'model'                 => \Liteerp\Patient\Models\Patient::class,
            'table'                 => 'patients',
            'presenter'             => \Liteerp\Patient\Repositories\Presenter\PatientPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'branch_id',  'physician_id',  'source_id',  'primary_physician',  'referring_physician',  'title',  'email',  'password',  'first',  'middle',  'last',  'suffix',  'preferred',  'type',  'insured',  'speech',  'tinnitus',  'gender',  'dob',  'languages',  'phone',  'mobile',  'status',  'api_token',  'photo',  'referral_description',  'employement',  'employer',  'occupation',  'student_status',  'school',  'maritial_status',  'previous_provider',  'previous_provider_phone',  'notes',  'custom_groups',  'remember_token',  'permissions',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'patient/patient',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Liteerp',
            'package'   => 'Patient',
            'module'    => 'Patient',
        ],

    ],
];
