<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePatientsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: patients
         */
        Schema::create('patients', function ($table) {
            $table->increments('id');
            $table->integer('branch_id')->nullable();
            $table->integer('physician_id')->nullable();
            $table->integer('source_id')->nullable();
            $table->integer('primary_physician')->nullable();
            $table->integer('referring_physician')->nullable();
            $table->string('title', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('password', 100)->nullable();
            $table->string('first', 100)->nullable();
            $table->string('middle', 100)->nullable();
            $table->string('last', 100)->nullable();
            $table->string('suffix', 100)->nullable();
            $table->string('preferred', 100)->nullable();
            $table->enum('type', ['Prospect','Current','Compititive'])->nullable();
            $table->enum('insured', ['Yes','No'])->nullable();
            $table->enum('speech', ['Yes','No'])->nullable();
            $table->enum('tinnitus', ['Yes','No'])->nullable();
            $table->enum('gender', ['male','female'])->nullable();
            $table->date('dob')->nullable();
            $table->text('languages')->nullable();
            $table->string('phone', 20)->nullable();
            $table->string('mobile', 20)->nullable();
            $table->enum('status', ['New','Active','Suspended'])->nullable();
            $table->string('api_token', 60)->nullable();
            $table->text('photo')->nullable();
            $table->text('referral_description')->nullable();
            $table->enum('employement', ['Full time','Part time','Hot employed','Self employed','Retired','Active military','Unknown'])->nullable();
            $table->string('employer', 100)->nullable();
            $table->string('occupation', 255)->nullable();
            $table->enum('student_status', ['Full time','Part time'])->nullable();
            $table->string('school', 255)->nullable();
            $table->enum('maritial_status', ['Single','Married','Seperated','Widowed','Unknown'])->nullable();
            $table->string('previous_provider', 255)->nullable();
            $table->string('previous_provider_phone', 100)->nullable();
            $table->text('notes')->nullable();
            $table->text('custom_groups')->nullable();
            $table->string('remember_token', 255)->nullable();
            $table->longText('permissions')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('patients');
    }
}
