<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for patient in patient package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  patient module in patient package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Patient',
    'names'         => 'Patients',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Patients',
        'sub'   => 'Patients',
        'list'  => 'List of patients',
        'edit'  => 'Edit patient',
        'create'    => 'Create new patient'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Prospect','Current','Compititive'],
            'insured'             => ['Yes','No'],
            'speech'              => ['Yes','No'],
            'tinnitus'            => ['Yes','No'],
            'gender'              => ['male','female'],
            'status'              => ['New','Active','Suspended'],
            'employement'         => ['Full time','Part time','Hot employed','Self employed','Retired','Active military','Unknown'],
            'student_status'      => ['Full time','Part time'],
            'maritial_status'     => ['Single','Married','Seperated','Widowed','Unknown'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'branch_id'                  => 'Please enter branch',
        'physician_id'               => 'Please enter physician',
        'source_id'                  => 'Please enter referral source',
        'primary_physician'          => 'Please enter primary physician',
        'referring_physician'        => 'Please enter referring physician',
        'title'                      => 'Please enter title',
        'email'                      => 'Please enter email',
        'password'                   => 'Please enter password',
        'first'                      => 'Please enter first',
        'middle'                     => 'Please enter middle',
        'last'                       => 'Please enter last',
        'suffix'                     => 'Please enter suffix',
        'preferred'                  => 'Please enter preferred',
        'type'                       => 'Please select type',
        'insured'                    => 'Please select insured',
        'speech'                     => 'Please select speech',
        'tinnitus'                   => 'Please select tinnitus',
        'gender'                     => 'Please select gender',
        'dob'                        => 'Please select dob',
        'languages'                  => 'Please enter languages',
        'phone'                      => 'Please enter phone',
        'mobile'                     => 'Please enter mobile',
        'status'                     => 'Please select status',
        'api_token'                  => 'Please enter api token',
        'photo'                      => 'Please enter photo',
        'referral_description'        => 'Please enter referral description',
        'employement'                => 'Please select employement',
        'employer'                   => 'Please enter employer',
        'occupation'                 => 'Please enter occupation',
        'student_status'             => 'Please select student status',
        'school'                     => 'Please enter school',
        'maritial_status'            => 'Please select maritial status',
        'previous_provider'          => 'Please enter previous provider',
        'previous_provider_phone'        => 'Please enter previous provider phone',
        'notes'                      => 'Please enter notes',
        'custom_groups'              => 'Please enter custom groups',
        'remember_token'             => 'Please enter remember token',
        'permissions'                => 'Please enter permissions',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'branch_id'                  => 'Branch',
        'physician_id'               => 'Physician',
        'source_id'                  => 'Referral source',
        'primary_physician'          => 'Primary physician',
        'referring_physician'        => 'Referring physician',
        'title'                      => 'Title',
        'email'                      => 'Email',
        'password'                   => 'Password',
        'first'                      => 'First',
        'middle'                     => 'Middle',
        'last'                       => 'Last',
        'suffix'                     => 'Suffix',
        'preferred'                  => 'Preferred',
        'type'                       => 'Type',
        'insured'                    => 'Insured',
        'speech'                     => 'Speech',
        'tinnitus'                   => 'Tinnitus',
        'gender'                     => 'Gender',
        'dob'                        => 'Dob',
        'languages'                  => 'Languages',
        'phone'                      => 'Phone',
        'mobile'                     => 'Mobile',
        'status'                     => 'Status',
        'api_token'                  => 'Api token',
        'photo'                      => 'Photo',
        'referral_description'        => 'Referral description',
        'employement'                => 'Employement',
        'employer'                   => 'Employer',
        'occupation'                 => 'Occupation',
        'student_status'             => 'Student status',
        'school'                     => 'School',
        'maritial_status'            => 'Maritial status',
        'previous_provider'          => 'Previous provider',
        'previous_provider_phone'        => 'Previous provider phone',
        'notes'                      => 'Notes',
        'custom_groups'              => 'Custom groups',
        'remember_token'             => 'Remember token',
        'permissions'                => 'Permissions',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'branch_id'                  => ['name' => 'Branch', 'data-column' => 1, 'checked'],
        'physician_id'               => ['name' => 'Physician', 'data-column' => 2, 'checked'],
        'source_id'                  => ['name' => 'Referral source', 'data-column' => 3, 'checked'],
        'primary_physician'          => ['name' => 'Primary physician', 'data-column' => 4, 'checked'],
        'referring_physician'        => ['name' => 'Referring physician', 'data-column' => 5, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 6, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 7, 'checked'],
        'first'                      => ['name' => 'First', 'data-column' => 8, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 9, 'checked'],
        'insured'                    => ['name' => 'Insured', 'data-column' => 10, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 11, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 12, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Patients',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
