<?php

namespace Liteerp\Patient;

use User;

class Patient
{
    /**
     * $patient object.
     */
    protected $patient;

    /**
     * Constructor.
     */
    public function __construct(\Liteerp\Patient\Interfaces\PatientRepositoryInterface $patient)
    {
        $this->patient = $patient;
    }

    /**
     * Returns count of patient.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.patient.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->patient->pushCriteria(new \Litepie\Liteerp\Repositories\Criteria\PatientUserCriteria());
        }

        $patient = $this->patient->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('patient::' . $view, compact('patient'))->render();
    }
}
