<?php

namespace Liteerp\Patient\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PatientTransformer extends TransformerAbstract
{
    public function transform(\Liteerp\Patient\Models\Patient $patient)
    {
        return [
            'id'                => $patient->getRouteKey(),
            'key'               => [
                'public'    => $patient->getPublicKey(),
                'route'     => $patient->getRouteKey(),
            ], 
            'id'                => $patient->id,
            'branch_id'         => $patient->branch_id,
            'physician_id'      => $patient->physician_id,
            'source_id'         => $patient->source_id,
            'primary_physician' => $patient->primary_physician,
            'referring_physician' => $patient->referring_physician,
            'title'             => $patient->title,
            'email'             => $patient->email,
            'password'          => $patient->password,
            'first'             => $patient->first,
            'middle'            => $patient->middle,
            'last'              => $patient->last,
            'suffix'            => $patient->suffix,
            'preferred'         => $patient->preferred,
            'type'              => $patient->type,
            'insured'           => $patient->insured,
            'speech'            => $patient->speech,
            'tinnitus'          => $patient->tinnitus,
            'gender'            => $patient->gender,
            'dob'               => $patient->dob,
            'languages'         => $patient->languages,
            'phone'             => $patient->phone,
            'mobile'            => $patient->mobile,
            'status'            => $patient->status,
            'api_token'         => $patient->api_token,
            'photo'             => $patient->photo,
            'referral_description' => $patient->referral_description,
            'employement'       => $patient->employement,
            'employer'          => $patient->employer,
            'occupation'        => $patient->occupation,
            'student_status'    => $patient->student_status,
            'school'            => $patient->school,
            'maritial_status'   => $patient->maritial_status,
            'previous_provider' => $patient->previous_provider,
            'previous_provider_phone' => $patient->previous_provider_phone,
            'notes'             => $patient->notes,
            'custom_groups'     => $patient->custom_groups,
            'remember_token'    => $patient->remember_token,
            'permissions'       => $patient->permissions,
            'deleted_at'        => $patient->deleted_at,
            'created_at'        => $patient->created_at,
            'updated_at'        => $patient->updated_at,
            'url'               => [
                'public'    => trans_url('patient/'.$patient->getPublicKey()),
                'user'      => guard_url('patient/patient/'.$patient->getRouteKey()),
            ], 
            'status'            => trans('app.'.$patient->status),
            'created_at'        => format_date($patient->created_at),
            'updated_at'        => format_date($patient->updated_at),
        ];
    }
}